transmission 2.50 for rhel6

Transmission binaries for *nix systems
orps
Posts: 3
Joined: Sat Mar 24, 2012 10:32 am

transmission 2.50 for rhel6

Postby orps » Sat Mar 24, 2012 11:04 am

Hi, I created some rpms provide transmission 2.50 for rhel6/centos, but just qt an cli.
Gtk version cannot build because transmission-gtk use some functions only in gtk large than 2.22 and gtk in rhel6 are 2.18.

They can install by these way:
install from repo:

Code: Select all

wget http://www.ownrepos.org/dl/rhel/ownrepos.repo
mv ownrepos.repo /etc/yum.repos.d/
vi /etc/yum.repos.d/ownrepos.repo (modify enabled=1 to enabled=0 if you need)
yum --enablerepo=ownrepos install transmission-qt

install from rpm:

Code: Select all

i386
rpm -Uvh http://ownrepos.com/dl/rhel/6/stable/i386/libevent-current-2.0.17-2.el6.i386.rpm
rpm -Uvh http://ownrepos.com/dl/rhel/6/stable/i386/transmission-common-2.50-1.el6.i386.rpm
rpm -Uvh http://ownrepos.com/dl/rhel/6/stable/i386/transmission-qt-2.50-1.el6.i386.rpm
x86_64
rpm -Uvh http://ownrepos.com/dl/rhel/6/stable/x86_64/libevent-current-2.0.17-2.el6.x86_64.rpm
rpm -Uvh http://ownrepos.com/dl/rhel/6/stable/x86_64/transmission-common-2.50-1.el6.x86_64.rpm
rpm -Uvh http://ownrepos.com/dl/rhel/6/stable/x86_64/transmission-qt-2.50-1.el6.x86_64.rpm

You also can download srpm to rebuild:

Code: Select all

http://ownrepos.com/dl/rhel/6/stable/SRPMS/libevent-current-2.0.17-2.el6.src.rpm
http://ownrepos.com/dl/rhel/6/stable/SRPMS/transmission-2.50-1.el6.src.rpm


known problems:
1. transmission-qt can open duplicate. (I don't known the reason)
2. package transmission broken. (because spec included Requires: transmission-gtk, will fix in next version)
3. libevent-current-devel conflict with libevent-devel

If you find other problem you can report here, but in most cases, I can't fix them...

Return to “Binaries”